tools

## Class KeyInput

- java.lang.Object
- - java.awt.event.KeyAdapter
  - - tools.KeyInput

- All Implemented Interfaces:
    java.awt.event.KeyListener, java.util.EventListener

      public class KeyInput
      extends java.awt.event.KeyAdapter

  This class is used to manage the key input. PTSP-Competition Created by Diego Perez, University of Essex. Date: 20/12/11

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyInput()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean[]` | `getMask()`
    `void` | `keyPressed(java.awt.event.KeyEvent e)` Manages KeyPressed events
    `void` | `keyReleased(java.awt.event.KeyEvent e)` Manages keyReleased events
    `void` | `reset()`
    `void` | `setAction(Types.ACTIONS action)`

    - ### Methods inherited from class java.awt.event.KeyAdapter

      `keyTyped`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyInput

          public KeyInput()

  - ### Method Detail

    - #### getMask

          public boolean[] getMask()

      Returns:
        key mask with pressed keys having values of False.

    - #### keyPressed

          public void keyPressed(java.awt.event.KeyEvent e)

      Manages KeyPressed events
      Specified by:
        `keyPressed` in interface `java.awt.event.KeyListener`
      Overrides:
        `keyPressed` in class `java.awt.event.KeyAdapter`
      Parameters:
        `e` - the event.

    - #### keyReleased

          public void keyReleased(java.awt.event.KeyEvent e)

      Manages keyReleased events
      Specified by:
        `keyReleased` in interface `java.awt.event.KeyListener`
      Overrides:
        `keyReleased` in class `java.awt.event.KeyAdapter`
      Parameters:
        `e` - the event.

    - #### reset

          public void reset()

    - #### setAction

          public void setAction(Types.ACTIONS action)